#!/bin/bash


export LOG=/dev/null
 #
 #	If you experiece a wierd problem and want to contribute
 #	please change the value of $LOG variable to /tmp/huawei.log  
 #      or so and send the file to me. Thanks!
 #

export CONFIGFILE=/root/.huawei-config
 #
 #	the $CONFIGFILE variable is created to give a possibility
 #      of executing arbitrary commands just after the device is
 #	enabled.  (e.g. wvdial --config /etc/wvdial-3ireland.conf)
 #

(
	uname -a
	/sbin/modprobe usbserial vendor=0x12d1 product=0x1003 
	test -e $CONFIGFILE && ( . $CONFIGFILE ) &
	#
	#	If found $CONFIGFILE will be executed in the background,
	#	otherwise it could possibly slow down execution of other
	#	udev rules.
	#

) 2>&1 >> $LOG
